(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     52728,        965]
NotebookOptionsPosition[     35026,        662]
NotebookOutlinePosition[     52737,        964]
CellTagsIndexPosition[     52694,        961]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"coord", "=", 
     RowBox[{"Reap", "[", 
      RowBox[{"NestList", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"0.5", "#"}], "&"}], ",", 
             RowBox[{
              RowBox[{"0.5", 
               RowBox[{"(", 
                RowBox[{"#", "+", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "0"}], "}"}]}], ")"}]}], "&"}], ",", 
             RowBox[{
              RowBox[{"0.5", 
               RowBox[{"(", 
                RowBox[{"#", "+", 
                 RowBox[{"{", 
                  RowBox[{"0.5", ",", 
                   RowBox[{
                    RowBox[{"Sqrt", "[", "3.", "]"}], "/", "2"}]}], "}"}]}], 
                ")"}]}], "&"}]}], "}"}], "[", 
           RowBox[{"[", 
            RowBox[{"Sow", "[", 
             RowBox[{"Random", "[", 
              RowBox[{"Integer", ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}], "]"}], "]"}], 
          "[", "#", "]"}], "&"}], ",", 
        RowBox[{"init", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Random", "[", "]"}], ",", 
           RowBox[{"Random", "[", "]"}]}], "}"}]}], ",", "1000"}], "]"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Opacity", "[", "0.1", "]"}], ",", 
           RowBox[{"EdgeForm", "[", "Thin", "]"}], ",", 
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.5", ",", 
                RowBox[{
                 RowBox[{"Sqrt", "[", "3.", "]"}], "/", "2"}]}], "}"}]}], 
             "}"}], "]"}]}], "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"it", "\[Equal]", "True"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Thickness", "[", ".001", "]"}], ",", 
             RowBox[{"GrayLevel", "[", ".5", "]"}], ",", 
             RowBox[{"Line", "[", 
              RowBox[{"Take", "[", 
               RowBox[{
                RowBox[{"coord", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", 
                  RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}], "]"}]}], "}"}], 
           ",", 
           RowBox[{"Point", "[", "init", "]"}]}], "]"}], ",", 
         RowBox[{"PointSize", "[", "ps", "]"}], ",", 
         RowBox[{"Transpose", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"{", "0", "}"}], "~", "Join", "~", 
              RowBox[{"Take", "[", 
               RowBox[{
                RowBox[{"coord", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "n"}], "}"}]}], "]"}]}], "/.", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"0", "\[Rule]", "Black"}], ",", 
               RowBox[{"1", "\[Rule]", 
                RowBox[{
                 RowBox[{"ColorData", "[", "\"\<WebSafe\>\"", "]"}], "[", 
                 "\"\<#FF9933\>\"", "]"}]}], ",", 
               RowBox[{"2", "\[Rule]", 
                RowBox[{
                 RowBox[{"ColorData", "[", "\"\<WebSafe\>\"", "]"}], "[", 
                 "\"\<#99CC00\>\"", "]"}]}], ",", 
               RowBox[{"3", "\[Rule]", 
                RowBox[{
                 RowBox[{"ColorData", "[", "\"\<WebSafe\>\"", "]"}], "[", 
                 "\"\<#3399CC\>\"", "]"}]}]}], "}"}]}], ",", 
            RowBox[{"Point", "/@", 
             RowBox[{"Take", "[", 
              RowBox[{
               RowBox[{"coord", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}]}], "}"}], 
          "]"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".01"}], ",", "1.01"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".01"}], ",", "1.01"}], "}"}]}], "}"}]}]}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"n", ",", "0", ",", "\"\<nombre de points\>\""}], "}"}], ",", 
       "0", ",", "k", ",", "1", ",", 
       RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "100", ",", "\"\<nombre maximum de points\>\""}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"100", ",", "500", ",", "1000"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"ps", ",", ".02", ",", "\"\<taille des points\>\""}], "}"}], 
       ",", ".01", ",", ".03", ",", ".001"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"it", ",", "False", ",", "\"\<Itin\[EAcute]raire\>\""}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Button", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<nouveau jeu\>\"", ",", "\"\<Label\>\"", ",", "Small"}], 
        "]"}], ",", 
       RowBox[{"coord", "=", 
        RowBox[{"Reap", "[", 
         RowBox[{"NestList", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"0.5", "#"}], "&"}], ",", 
                RowBox[{
                 RowBox[{"0.5", 
                  RowBox[{"(", 
                   RowBox[{"#", "+", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], ")"}]}], "&"}], ",", 
                RowBox[{
                 RowBox[{"0.5", 
                  RowBox[{"(", 
                   RowBox[{"#", "+", 
                    RowBox[{"{", 
                    RowBox[{"0.5", ",", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", "3.", "]"}], "/", "2"}]}], "}"}]}], 
                   ")"}]}], "&"}]}], "}"}], "[", 
              RowBox[{"[", 
               RowBox[{"Sow", "[", 
                RowBox[{"Random", "[", 
                 RowBox[{"Integer", ",", 
                  RowBox[{"{", 
                   RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}], "]"}], 
              "]"}], "[", "#", "]"}], "&"}], ",", 
           RowBox[{"init", "=", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Random", "[", "]"}], ",", 
              RowBox[{"Random", "[", "]"}]}], "}"}]}], ",", "1000"}], "]"}], 
         "]"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "]"}], ",", 
     RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.412160477102729*^9, 3.412160723192992*^9}, {
   3.412160777807145*^9, 3.4121608925289993`*^9}, {3.412160925936644*^9, 
   3.412160944001152*^9}, {3.412161053828277*^9, 3.412161104928925*^9}, {
   3.412161167835936*^9, 3.412161189673259*^9}, {3.412161309319975*^9, 
   3.412161324990196*^9}, {3.412161409539048*^9, 3.412161416944799*^9}, {
   3.412161599024493*^9, 3.412161636609284*^9}, {3.4121617227838907`*^9, 
   3.412161750723693*^9}, {3.412163002966213*^9, 3.412163072462769*^9}, {
   3.412163126978498*^9, 3.412163165737865*^9}, {3.412163237073001*^9, 
   3.4121633110300694`*^9}, 3.412163356937869*^9, 3.4121635181938543`*^9, {
   3.41216398277125*^9, 3.412163988970376*^9}, 3.412164071003862*^9, 
   3.41216412183534*^9, {3.412164200025963*^9, 3.412164200187154*^9}, 
   3.412164317049006*^9, {3.412164617742872*^9, 3.412164618695368*^9}, {
   3.412165712008276*^9, 3.4121657186982327`*^9}, {3.412165758581338*^9, 
   3.412165872483306*^9}, {3.4121661021177597`*^9, 3.4121661610433073`*^9}, {
   3.412166209833044*^9, 3.412166213557015*^9}, 3.412166253773307*^9, {
   3.412166297521141*^9, 3.412166304871842*^9}, {3.412166382755926*^9, 
   3.412166441076994*^9}, {3.4121667284830933`*^9, 3.4121667569424963`*^9}, {
   3.412166826018181*^9, 3.412166859689878*^9}, {3.412166892028315*^9, 
   3.412166901011298*^9}, {3.412167964575808*^9, 3.4121680461211023`*^9}, {
   3.412168451147843*^9, 3.412168463391185*^9}, {3.412168512841215*^9, 
   3.4121685369446707`*^9}, {3.412172951713216*^9, 3.41217300788361*^9}, {
   3.412173042524356*^9, 3.412173082323811*^9}, {3.412173129191504*^9, 
   3.4121732220008307`*^9}, {3.4121732529235287`*^9, 3.41217326032222*^9}, {
   3.412173291450226*^9, 3.412173294708025*^9}, {3.4121734373218393`*^9, 
   3.4121734496184063`*^9}, {3.412173479835135*^9, 3.41217350560318*^9}, {
   3.412173540700802*^9, 3.4121735562435837`*^9}, 3.412173597357163*^9, {
   3.412173638880321*^9, 3.412173697426997*^9}, {3.412173731227984*^9, 
   3.4121737495958138`*^9}, {3.412173827830655*^9, 3.412173853764846*^9}, {
   3.412173920177559*^9, 3.4121739434884663`*^9}, 3.4121740287013187`*^9, 
   3.412174156298032*^9, {3.412174217979569*^9, 3.412174269827176*^9}, {
   3.41217431198274*^9, 3.412174512357954*^9}, {3.4121746280271187`*^9, 
   3.4121746344246187`*^9}, {3.412174692986422*^9, 3.412174699209263*^9}, 
   3.412174814439466*^9, {3.412175041837825*^9, 3.4121750442995234`*^9}, {
   3.4121752087720613`*^9, 3.4121752112596083`*^9}, {3.412175245559968*^9, 
   3.41217524780363*^9}, 3.4121752900051823`*^9, {3.41217561344916*^9, 
   3.4121756236003733`*^9}, {3.41217569178957*^9, 3.412175709130198*^9}, {
   3.412175745629168*^9, 3.412175763829646*^9}, {3.4121758011433992`*^9, 
   3.4121759255773907`*^9}, {3.412179670204314*^9, 3.41217968069162*^9}, {
   3.412179764912822*^9, 3.412179767270578*^9}, {3.412179831785132*^9, 
   3.4121798751854687`*^9}, {3.412180005856227*^9, 3.412180102691818*^9}, {
   3.4121801331083527`*^9, 3.412180140554531*^9}, {3.412180226822467*^9, 
   3.4121802575572443`*^9}, {3.412180418354876*^9, 3.412180418561186*^9}, {
   3.412180457894603*^9, 3.4121804659650917`*^9}, {3.412180527224023*^9, 
   3.4121805395130167`*^9}, 3.412180600555416*^9, {3.412180691997477*^9, 
   3.412180768928211*^9}, {3.4121814400625563`*^9, 3.4121815077100353`*^9}, {
   3.412186263658958*^9, 3.412186280428874*^9}, 3.412186389966716*^9, 
   3.412186455234767*^9, 3.412186493197033*^9, {3.4121865269237757`*^9, 
   3.41218655291523*^9}, 3.412186631949389*^9, 3.412186815563631*^9, 
   3.412187905661148*^9, 3.4121880033212767`*^9, {3.4121880699710207`*^9, 
   3.4121880729936047`*^9}, 3.412188119004376*^9, 3.4121881509817953`*^9, {
   3.412188213056017*^9, 3.412188396502243*^9}, {3.41218864710332*^9, 
   3.412188678429667*^9}, {3.412188743129366*^9, 3.4121887532968693`*^9}, {
   3.412188797842943*^9, 3.412188843654441*^9}, {3.412188924507394*^9, 
   3.412188960839855*^9}, {3.4121890326846437`*^9, 3.412189060532394*^9}, {
   3.412189115632012*^9, 3.412189132997637*^9}, {3.412189210243092*^9, 
   3.41218926966392*^9}, {3.412189315056616*^9, 3.41218932715622*^9}, {
   3.4121895761825237`*^9, 3.412189588116373*^9}, 3.412189749094202*^9, 
   3.412189871455971*^9, {3.412189960171393*^9, 3.412189975849255*^9}, {
   3.412190049382918*^9, 3.41219007279071*^9}, 3.412190187026432*^9, {
   3.4121903171414213`*^9, 3.412190317196566*^9}, 3.412190367098571*^9, {
   3.412190477010294*^9, 3.412190502881633*^9}, {3.412190659737611*^9, 
   3.4121906874823523`*^9}, 3.412190737331154*^9, {3.412190798261154*^9, 
   3.412190817171667*^9}, {3.412191100449214*^9, 3.412191121377797*^9}, {
   3.41219259075313*^9, 3.412192594198703*^9}, {3.412192627413377*^9, 
   3.4121926455350313`*^9}, {3.4121931157526073`*^9, 
   3.4121932205341787`*^9}, {3.4121934042115088`*^9, 3.412193422778138*^9}, {
   3.412193476283289*^9, 3.4121934767203827`*^9}, 3.412193562705868*^9, {
   3.4121938313380127`*^9, 3.412193831831398*^9}, {3.41219389273142*^9, 
   3.412193913450162*^9}, 3.412194443893484*^9, {3.412194582906373*^9, 
   3.412194589319951*^9}, {3.412224236422768*^9, 3.412224243525876*^9}, {
   3.412224283810072*^9, 3.412224313311418*^9}, {3.412224415398769*^9, 
   3.412224417260911*^9}, {3.412224538190843*^9, 3.412224553142523*^9}, {
   3.412224671742592*^9, 3.412224691013647*^9}, {3.4122248211855288`*^9, 
   3.41222496112215*^9}, {3.4122250016393747`*^9, 3.412225035542552*^9}, {
   3.412225093066165*^9, 3.412225093207974*^9}, {3.412225376474926*^9, 
   3.412225395585794*^9}, {3.412225431910841*^9, 3.4122255222454576`*^9}, {
   3.4122255574885197`*^9, 3.4122255846086187`*^9}, {3.412225671949449*^9, 
   3.412225703531934*^9}, {3.412225772642565*^9, 3.412225773142796*^9}, 
   3.412225824649498*^9, 3.412225880678588*^9, {3.412225923843*^9, 
   3.4122259505589857`*^9}, 3.4122259932571573`*^9, {3.41222613360378*^9, 
   3.412226134089072*^9}, {3.412226211597993*^9, 3.412226215131699*^9}, {
   3.4122263972128468`*^9, 3.412226431035879*^9}, {3.412226565545569*^9, 
   3.4122266409778976`*^9}, {3.4122267789775763`*^9, 3.412226781767458*^9}, {
   3.4122268155060596`*^9, 3.412226866681604*^9}, {3.412226976404587*^9, 
   3.412227035886743*^9}, {3.412227073425435*^9, 3.4122270734950657`*^9}, {
   3.4122271633111143`*^9, 3.412227164820978*^9}, 3.41222720304635*^9, {
   3.412227245038501*^9, 3.412227299705696*^9}, {3.412227636870866*^9, 
   3.412227638148684*^9}, 3.412227851443293*^9, 3.412227963369327*^9, {
   3.412228511041595*^9, 3.412228559338442*^9}, {3.412229099052979*^9, 
   3.412229167960609*^9}, {3.412229268723548*^9, 3.412229276248528*^9}, {
   3.412229331083637*^9, 3.412229331513446*^9}, {3.412229363419676*^9, 
   3.41222936392901*^9}, {3.412229402309363*^9, 3.412229442195457*^9}, {
   3.412229495807371*^9, 3.4122295479132977`*^9}, {3.4122297648862677`*^9, 
   3.412229868326339*^9}, {3.4122302655039053`*^9, 3.412230292506868*^9}, {
   3.41223071684229*^9, 3.4122307690873528`*^9}, {3.41223082302614*^9, 
   3.412230832223529*^9}, 3.412230883285573*^9, 3.41223106394374*^9, 
   3.412231221711982*^9, {3.4122313059925623`*^9, 3.412231466154516*^9}, 
   3.412231498849185*^9, {3.41223158585594*^9, 3.412231586029756*^9}, {
   3.412231628617444*^9, 3.412231629175332*^9}, {3.4122316821402473`*^9, 
   3.4122316825940237`*^9}, {3.412231726789998*^9, 3.412231727034308*^9}, {
   3.41223179516352*^9, 3.412231806676029*^9}, 3.412231952023857*^9, 
   3.412232141707102*^9, {3.4122322205995827`*^9, 3.412232223966383*^9}, 
   3.412232399899366*^9, 3.412232468555007*^9, {3.412233713891653*^9, 
   3.41223371705873*^9}, {3.412233754477434*^9, 3.412233761101862*^9}, 
   3.4122337958218937`*^9, {3.412233929609964*^9, 3.4122339613777733`*^9}, 
   3.412234250744528*^9, {3.412234330624449*^9, 3.41223433785737*^9}, {
   3.412234772038328*^9, 3.412234856594544*^9}, 3.412234932700823*^9, {
   3.412235343610332*^9, 3.412235393226503*^9}, {3.412236344444105*^9, 
   3.412236345345065*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`it$$ = False, $CellContext`k$$ = 
    100, $CellContext`n$$ = 0, $CellContext`ps$$ = 0.02, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 0, "nombre de points"}, 0, 
      Dynamic[$CellContext`k$$], 1}, {{
       Hold[$CellContext`k$$], 100, "nombre maximum de points"}, {100, 500, 
      1000}}, {{
       Hold[$CellContext`ps$$], 0.02, "taille des points"}, 0.01, 0.03, 
      0.001}, {{
       Hold[$CellContext`it$$], False, "Itin\[EAcute]raire"}, {
      False, True}}, {
      Hold[
       Button[
        Style["nouveau jeu", "Label", Small], $CellContext`coord = Reap[
          NestList[
          Part[{0.5 #& , 0.5 (# + {1, 0})& , 0.5 (# + {0.5, Sqrt[3.]/2})& }, 
            Sow[
             Random[Integer, {1, 3}]]][#]& , $CellContext`init = {
             Random[], 
             Random[]}, 1000]], ImageSize -> Small]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    540., {265., 275.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`n$218$$ = 
    0, $CellContext`k$219$$ = 0, $CellContext`ps$220$$ = 
    0, $CellContext`it$221$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`it$$ = False, $CellContext`k$$ = 
        100, $CellContext`n$$ = 0, $CellContext`ps$$ = 0.02}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$218$$, 0], 
        Hold[$CellContext`k$$, $CellContext`k$219$$, 0], 
        Hold[$CellContext`ps$$, $CellContext`ps$220$$, 0], 
        Hold[$CellContext`it$$, $CellContext`it$221$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{{
          Opacity[0.1], 
          EdgeForm[Thin], 
          Polygon[{{0, 0}, {1, 0}, {0.5, Sqrt[3.]/2}}]}, 
         If[$CellContext`it$$ == True, {
           Thickness[0.001], 
           GrayLevel[0.5], 
           Line[
            Take[
             Part[$CellContext`coord, 1], {1, $CellContext`n$$ + 1}]]}, 
          Point[$CellContext`init]], 
         PointSize[$CellContext`ps$$], 
         Transpose[{
           ReplaceAll[
            Join[{0}, 
             Take[
              Part[$CellContext`coord, 2, 1], {1, $CellContext`n$$}]], {
            0 -> Black, 1 -> ColorData["WebSafe"]["#FF9933"], 2 -> 
             ColorData["WebSafe"]["#99CC00"], 3 -> 
             ColorData["WebSafe"]["#3399CC"]}], 
           Map[Point, 
            Take[
             Part[$CellContext`coord, 1], {1, $CellContext`n$$ + 1}]]}]}, 
        PlotRange -> {{-0.01, 1.01}, {-0.01, 1.01}}], 
      "Specifications" :> {{{$CellContext`n$$, 0, "nombre de points"}, 0, 
         Dynamic[$CellContext`k$$], 1, Appearance -> 
         "Labeled"}, {{$CellContext`k$$, 100, "nombre maximum de points"}, {
         100, 500, 1000}}, {{$CellContext`ps$$, 0.02, "taille des points"}, 
         0.01, 0.03, 
         0.001}, {{$CellContext`it$$, False, "Itin\[EAcute]raire"}, {
         False, True}}, 
        Button[
         Style["nouveau jeu", "Label", Small], $CellContext`coord = Reap[
           NestList[
           Part[{0.5 #& , 0.5 (# + {1, 0})& , 0.5 (# + {0.5, Sqrt[3.]/2})& }, 
             
             Sow[
              Random[Integer, {1, 3}]]][#]& , $CellContext`init = {
              Random[], 
              Random[]}, 1000]], ImageSize -> Small]}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{592., {387.0625, 394.9375}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`coord = {CompressedData["
1:eJw123dcleUfxnG1cmVmjoamaak/3KlojvIyHBliuQekuReaWWaaluXeE/dK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         "], {{2, 1, 1, 1, 1, 3, 2, 2, 2, 1, 3, 
         2, 3, 3, 2, 2, 3, 1, 2, 1, 3, 2, 1, 2, 3, 3, 3, 3, 2, 2, 3, 3, 2, 3, 
         1, 1, 1, 3, 3, 2, 3, 1, 3, 1, 3, 2, 1, 2, 1, 2, 1, 3, 2, 1, 1, 3, 3, 
         1, 3, 2, 2, 3, 3, 3, 3, 1, 1, 2, 2, 3, 3, 3, 1, 1, 3, 1, 1, 2, 3, 1, 
         2, 2, 3, 3, 1, 2, 3, 1, 2, 2, 1, 1, 2, 3, 2, 1, 3, 1, 1, 3, 3, 3, 3, 
         3, 2, 2, 3, 3, 2, 2, 1, 3, 2, 2, 2, 2, 2, 3, 3, 2, 1, 1, 1, 3, 3, 1, 
         2, 1, 2, 1, 3, 2, 3, 2, 3, 2, 1, 1, 3, 3, 3, 2, 2, 3, 3, 1, 2, 3, 2, 
         1, 1, 1, 1, 1, 1, 3, 3, 1, 2, 1, 2, 3, 3, 1, 3, 2, 1, 3, 1, 3, 2, 2, 
         3, 3, 1, 1, 3, 2, 3, 2, 2, 1, 3, 2, 3, 3, 2, 2, 2, 2, 3, 2, 3, 2, 3, 
         3, 2, 3, 1, 3, 1, 3, 2, 2, 3, 1, 3, 1, 2, 3, 2, 3, 2, 1, 2, 1, 3, 3, 
         1, 1, 2, 1, 3, 3, 2, 3, 2, 1, 1, 2, 1, 1, 2, 1, 2, 2, 3, 3, 2, 2, 2, 
         1, 3, 2, 2, 3, 3, 1, 2, 1, 1, 1, 3, 1, 2, 1, 1, 2, 3, 1, 3, 3, 3, 2, 
         2, 2, 2, 2, 3, 1, 2, 3, 2, 3, 1, 2, 2, 1, 2, 2, 1, 3, 1, 2, 1, 1, 2, 
         1, 2, 1, 2, 1, 3, 3, 2, 1, 3, 2, 1, 1, 3, 1, 3, 3, 2, 2, 3, 1, 3, 2, 
         3, 3, 3, 1, 2, 2, 2, 3, 2, 3, 1, 1, 1, 1, 2, 1, 1, 3, 1, 1, 3, 2, 2, 
         2, 3, 3, 1, 1, 1, 1, 2, 2, 1, 1, 2, 2, 3, 2, 1, 1, 1, 2, 2, 2, 1, 3, 
         2, 1, 1, 2, 3, 3, 1, 1, 1, 2, 3, 1, 1, 3, 2, 3, 2, 3, 3, 1, 3, 3, 3, 
         3, 1, 3, 2, 3, 1, 1, 1, 1, 2, 2, 3, 1, 3, 3, 1, 1, 3, 3, 2, 3, 3, 3, 
         1, 1, 2, 1, 2, 1, 2, 3, 3, 3, 2, 3, 1, 1, 1, 2, 1, 3, 2, 3, 1, 1, 2, 
         3, 1, 1, 2, 2, 3, 3, 3, 2, 3, 1, 3, 1, 2, 1, 1, 2, 3, 3, 1, 1, 2, 3, 
         3, 3, 2, 3, 1, 2, 3, 3, 3, 1, 2, 2, 2, 3, 1, 3, 2, 1, 2, 3, 1, 3, 2, 
         1, 1, 2, 2, 3, 3, 3, 2, 3, 1, 1, 3, 2, 2, 3, 3, 1, 2, 3, 3, 2, 1, 3, 
         3, 2, 2, 1, 3, 1, 1, 2, 3, 3, 2, 1, 3, 3, 1, 3, 3, 1, 2, 3, 3, 2, 2, 
         1, 1, 3, 3, 1, 3, 1, 3, 1, 3, 3, 3, 1, 3, 3, 1, 2, 2, 1, 3, 2, 3, 3, 
         3, 1, 2, 1, 1, 2, 2, 2, 3, 1, 1, 3, 2, 3, 3, 1, 3, 3, 1, 1, 2, 3, 1, 
         2, 1, 1, 1, 2, 3, 3, 3, 1, 1, 1, 3, 2, 1, 3, 3, 1, 3, 1, 2, 2, 2, 3, 
         2, 1, 1, 3, 2, 2, 2, 2, 1, 1, 1, 2, 1, 1, 2, 3, 1, 3, 3, 1, 3, 1, 1, 
         3, 1, 2, 3, 3, 1, 3, 2, 1, 3, 2, 2, 3, 2, 1, 1, 2, 3, 2, 1, 2, 2, 3, 
         1, 2, 2, 1, 1, 1, 1, 3, 2, 2, 3, 2, 3, 3, 3, 1, 3, 2, 2, 1, 1, 2, 3, 
         3, 3, 1, 3, 2, 2, 1, 1, 1, 2, 3, 3, 2, 2, 3, 1, 1, 1, 3, 1, 3, 3, 2, 
         2, 2, 2, 1, 3, 2, 3, 1, 3, 1, 1, 1, 2, 3, 3, 3, 1, 2, 1, 2, 2, 3, 2, 
         2, 3, 3, 1, 3, 1, 1, 3, 3, 1, 3, 3, 3, 2, 1, 3, 1, 1, 2, 1, 2, 3, 1, 
         1, 3, 1, 1, 3, 2, 1, 3, 2, 1, 1, 2, 2, 2, 3, 3, 1, 1, 3, 2, 1, 1, 2, 
         1, 2, 1, 2, 3, 3, 2, 2, 2, 1, 2, 2, 2, 1, 1, 1, 2, 3, 2, 3, 1, 1, 2, 
         2, 1, 1, 1, 2, 3, 1, 1, 2, 2, 3, 1, 3, 1, 3, 3, 1, 3, 1, 2, 1, 1, 2, 
         1, 1, 2, 3, 3, 1, 1, 3, 3, 2, 3, 2, 3, 3, 1, 2, 1, 2, 3, 3, 2, 1, 2, 
         3, 1, 1, 1, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 2, 2, 1, 3, 2, 1, 1, 3, 2, 
         3, 3, 2, 3, 1, 3, 2, 1, 2, 2, 2, 3, 2, 1, 3, 2, 2, 2, 3, 2, 2, 3, 1, 
         3, 1, 3, 2, 2, 1, 3, 3, 2, 2, 2, 1, 1, 2, 2, 1, 3, 2, 2, 2, 1, 1, 2, 
         1, 3, 3, 3, 1, 1, 3, 1, 2, 2, 2, 1, 3, 3, 1, 2, 2, 1, 2, 3, 1, 3, 3, 
         2, 3, 3, 1, 1, 1, 1, 3, 2, 1, 1, 3, 1, 3, 2, 1, 1, 1, 3, 1, 1, 2, 2, 
         2, 1, 1, 1, 1, 1, 3, 1, 1, 3, 3, 1, 1, 2, 1, 2, 1, 3, 3, 1, 2, 1, 3, 
         2, 1, 2, 1, 2, 3, 1, 1, 3, 3, 2, 3, 3, 1, 3, 1, 3, 2, 3, 2, 1, 2, 3, 
         2, 3, 2, 1, 3, 1, 3, 3, 3, 3, 2, 3, 2, 1, 2, 2, 1, 1, 2, 3, 3, 3, 
         3}}}, $CellContext`init = {0.273532036410952, 
        0.015272867691444267`}}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.412234824191414*^9, {3.41223486017988*^9, 3.4122348678596*^9}, {
   3.41223492472943*^9, 3.412234946182909*^9}, {3.412235026888843*^9, 
   3.412235035359859*^9}, {3.4122353469217653`*^9, 3.412235358751895*^9}, 
   3.4122353939182377`*^9, 3.412236354692149*^9}]
}, Open  ]]
},
WindowSize->{1012, 992},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
DockedCells->FEPrivate`If[
  FEPrivate`SameQ[FEPrivate`$ProductIDName, "MathematicaPlayer"], {
   Cell[
    BoxData[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJy9XXd4FEeWHysRDKwxJoNlQDmQkRAoYoKEDQIbFhPMGXvB2IDx4rDnsAu7\n\
BntJwhgEiCCQQBmBAkpIQkIBJZRzQgIRP/vu9tu7+76L+7uq7qqe6pmekQTs\n\
/TGMprq6Xqiq93vv1etm2abPt27esenzjz7Y9NqSXZs+3frRB5+9tnjnLtJk\n\
+YJOZ+Gu0+mcX9PRv0H+ZP+8gs7OTp0VqvPycSnwTeRHRKK9tdVaah6Ehrp6\n\
3PYPQs8Ed5S5TEWznzfu/UMw7n6yFlUb1uD2xYs6S6nvAHR2dKD66hXk79iO\n\
gjnzUDzKEQkzPFFx6ZIOtM/fpI66kYxk5nd7cXm8A2I2b0NVcbGV1DwCHWSY\n\
+rfW4Z7DTNyxn42Wpf5o3xiEB9vext13g9H03irUhZ9CbcoVVJ45jbztH6Nw\n\
njdqp7mhyNUVZ8ZMwZUVb6G9sVGDrA3qqqoQ7zYHcYMn4vwMLxQfPY767FwL\n\
6fLLaG9uRtuqlbjn6YW2GXNRM88DTesWofuz1Xj03XrcX0/YWfY6WoID0Lx6\n\
ISp8ZqJ8ljsqZkxHtK0Twij5lW9JlCFTHiV9jUUyEThtxGRkj7BDEvlOd5yG\n\
mzs+RVnoSZSsX4eHnh646++LRm9vtNpNR4PPbHR/twoP//g2Oj8PRtvmQDQt\n\
mY3mra/jlv9sFARMRfxUN5yztcd5Jxdc//S3OmO641FTXIREB3fEjJpCPnbI\n\
GW+HtAn2iLV3QJGDEx66zcZ9P190LvZH16x56HB3w52di3D/zAbcO7YO7V8E\n\
omyTH0rXeyF39VwkvT4HYQ7OODR2Ak64uKEyIUGiShaAbqBE0xJ1mZmoz82V\n\
fkns/FXkaRw62tqQvvLXuPTSq0jw9sKtP76Pij9vRcn+rag8uBUNhz9G4487\n\
0HB8Jxp++gR1h7ai7sR2NMZ8gYZLX6Ix6kvUnPstqkK3o/LEDpQf+wSlBz9G\n\
xvZVOD59Kq5//Q0KDxy0ZpPe0daKiosXUXo6DJnr1iH97dW4HRcncfavMmej\n\
pa8puEVmI97NBVXnvkTzlcOojTmKpvhjuJ92Gt1pYehOPYWu1DDcST+Hroyz\n\
6Lz8Ezqjj6CTXGvPPoPWnDNoJH/XJoaiNu4Y6hJ/QlNKKHI+/xCXHNyQ8clO\n\
lBFWyuknIgIlp07h6voNSAhegUSyjrPJ7F8nLDbm58ua+zeRv8koOBSC2CAf\n\
NFzeh9sRYai8FIGHqTHoSovCP9dk4y+3s/Fzfgoe5mfgUUEanqRE4edrMXiU\n\
HI0HqdHoSYlFW1Is2qMi0RJ1AVVnCL/nI9BOeDk91QXfT7ZFiJMTDrm64exM\n\
sqg9ZiLWeSpuTfNE0VxfZG35EG119U0SO9ZovZqKKhdvVL7kgprgDfS3bgJb\n\
BMXFxfLCIL/+ynZ9Wloatm3bhh9++AGNjY3yrtf9it1BbQi/w4oJ3NbcioSV\n\
KxC9dD7q4r4n038WPZcj8UtBMs75+CI5KAitaRH4p4Yb6MlPw/0bSXhSnITH\n\
WTHoSSTKSbiAB1HhuHPhHDrPnsXdC+FoPhWGhqgodF5LwQHPadg/fTJC3Kfg\n\
tLszssjOL3k9ADV+Acjx8iMT9wUVuJkJ3FFZjSqPJah8dZYkNBGe7DGZ/crK\n\
Spw4cUL69a9MCKqExMREfPXVVwgPD1cJ7IjCwyHIev99otUtuL7jE+T/sB9V\n\
KddQfT0LBR9tQR7Z2ylv+qI+7gfcTzmPRxlReFKdicT5fijTTcS1iS7I2bUV\n\
bfmX8bgyCw+J4A9yY3Ev+SIR/gLuEeHvEOFbz59FY8RZYjFPojUuBveyUpG0\n\
2Bv5QfPRuGwhWgMWo9k3EOUBAUjz88fNfd/r2pkEbXk3JUnpp/mnsHEawv47\n\
a4siOqWCstmkkg6WvoiVKCpCVcR5NJ4JQ/XFSJRGRaMw4iIKtm9H3bQZ6Hp5\n\
Eu4Mn4z2oZPQ5uSMBzPc8MjOFTfe8ENV3D6y986jO/0Sem6nIdY3AOWDHFA7\n\
zBk3dJOQ4DYTN77/Gl1lKXhQmIiulAh0JoSj4/J5tMaGo/rCaZSGheL2qWO4\n\
kxiLzuvXUPbWG2hZtQzt5PvO2mDULl6IdI95uLaBLOKamg4mQ82CFZLgdRs+\n\
1JmTnE4zXdfkWy25K+oqylFIDM/1t1bitpMbSkdPRswIW0SPm4I8e0dkjLFF\n\
zYuTcPcVO3S6uaLdZw66p09HzooAlEb+kezWM+jIuIg7ZcmIIosyf4gDike7\n\
oWSMG4qHOSBpGBnPfwGKQ/eh/Xo0WuLPoiHuHLEMZ1F67iQKfgrBrWMhZJMk\n\
oPV6Kio+XIPubzbi3taVBOoWIdvPBxkbNtJFrhvC5rw5IkaZc7LSpVVrSX8R\n\
4eg1vkktGPjTXVH30WeKKaDf9Ddpl9VhwW5u+N1u4WbaZiW20b+lZitmueni\n\
o3aFMSINStqkPhb6gbUHsWCTQ68xaaijwm+yEUVROpGZFjh+UenDReQbn3JF\n\
uZOMAd0aETFs5q3RuPeQXhXkem/SWjJ/i1pTQl+tRvKbtrP+Ov0NpnX6otLW\n\
F64tOEqSvqKuqRQKmREqxumHMkW7i4LSPn0haWN+ZvrHvyXfq4x3apKthYVJ\n\
x+L9BY3qLEwpcYDGRudtdJNTENObOEsKZNi1axe9piwBbgppf/pNfjNIGyCN\n\
SdvpPfReSpeOuWfPHsIUHWUQ/Ru5sgel0Dxy5IhyH8ESNp45WtrX+L7gYKzf\n\
yZYSVtE28s2UqO5nY2ZcSw0d2RiMIeuI/juYQ4XyITJxPUqysnu4kaHqoGrh\n\
JOlv+k1ZlfsMk9RJ1cuHodepbebtXH10eHo//U2u8S1gODMqDmykkajnwgSR\n\
/iZtWvq0ZAwJuuiNCXGuB5igSOUn8lqyy6JK6IeOLohDFzAlImqDKHmgcLeh\n\
OKTN0qQ41ipx2HVl2ik1el2/FBieOKGVSFdK4oTb23agx3E6euydUGTngjxH\n\
4hnMnIaWSS644zoVbXO9cGehH7LfDUTBud2oiz9NvOkLaCmMxxlfP1x5yQ7p\n\
Y12RNtaFfFyRNcYVV4ZNQRiJbS4GL0PhiYOoiCVe9YUwFB4/gsIjB1AZcwoN\n\
N1LQmJOKht0b8cuP7+HBFytR9UYAkr19SFBweiiTTjBH0ofCl4Xg6YrXqC3m\n\
WlGcQnaNeA2Kvaft9Dpb5E8LhNzKUkNInRLmg/4dgFAwlSqY4X2oK8RGpXJa\n\
KbaZ2WO++ESFUe4ZEPbO52DqZoruh15gWe/G2Glaq/q2vvKtQKA8kfx+Lb4J\n\
n5asWWKReT2EkjlCvYBf3zm2FN0y7iOIbpnBmhR1+PToRxFCRD+KBNyyc8K8\n\
jVp02p9+c9Mg9xmoWD7al/YR7C01WhaSXR8s2S/ahRtHbjjpLbSdgWHfKQ82\n\
10ciwzCQ7xrOKIVcPnccJuX931fSagUajkXllX6RqJfbWBEWuaJEi85hhf6m\n\
5lvUikBL6kOtvzgOHZfiC8dL3k7HYffLbL+oOVeCCqS1wljQyRNnowxDrwla\n\
tWKTIHLXKwdqxVkLK5R2k/0mWX0cX0WngCqTtovKYStbUR7zYZQ+ZMwBBvOj\n\
F85SgU09GfWaEPGSS8muKxtHHJfhpZwXGI6mm4VoDtmProVz0e7sjlav2ahZ\n\
4oWWJfPQPXMu7s0LQPqaQOSe+QNKo0+hLPY0anJiEeLtjZBf2eLkGAeqi9EO\n\
ZCzyN06NssehIRPw3QQ7hK9fh7xTR5AZcgC5xw+gPPEMam8moy4/BS37/wGP\n\
dq9C51o/3FzghatvkCj5dqWOA6RoG9Xhgxz0iNeo9eJ+igis3FCR776Y7d4A\n\
UiZhpYIbaehOVVBAB3hWnLQUg0GdtuGlbdZKP26wFYPLCBvBjrpZinD7yCsn\n\
oajbgt4u+//ioL3gpLXS1leeOXM0nOLMKc0DVDyL8Sxljg9L/SKBnAlqveBl\n\
/zmnEyR6GCpvTriFDKefCfWcPB1kcqa40WGuO59KbgL1XW0Ue8VVyYyGpXAL\n\
teOiWeSuvLlhGCnLvlwepLqsZfYJIukMraXIUV8EY3rSGsbGzDDcEHfqAxLK\n\
FncHeBO3wRxLSRcWIvc+rJHarVVKoBNO0EOJuCmScHThJp9fE1lhZBUbaUiS\n\
9eXCMzICulgq0uh1rdYrvU7vIettMLuFLj3mYel4bMHzCjwGVSG1OQyzkpjm\n\
aQAl8CSgQ79eQmdqEgnnFqE7yBN3VnihdVMgWjcsQc9Sf2SsD0Rm2O9ReO4I\n\
isJ/wu1rkdjnORefDR2Hb0fa4utRtlb4ZqQtwe9vR03C18MnYueQ0fja0QVn\n\
338Pt66EoTz5DGqKr6Im+wpaDmzCL39+B63vL0G2vw+uBgcPY/yLCSq1edBH\n\
fErQ47FEn09iuV/qe2u1mTQH/YUrYga5CRDs0jPD1QAFhjg0c00Y+P/GeEXY\n\
UBtpQwuqJmrZG6fy6lRZXQqhWpa93zjVG69afGmQkF0ZBvOETz3ZThXOmiHX\n\
b6DqVc3WEroyeDdaoHzRkphTO4DsPzYNVOyHaOL46QYZg1srnuzhh3wGMZNw\n\
hzLLxtTUw/RCxejyQNVlzi+PdIhl4qfRIpZYaTBoSiYzkGRtchg1OJgDAIr+\n\
ZEZUKGmoH3GsXnCIJfcUUtz49wWH5KBGm6QBDjEyKhwST7+sGQke03FJKWsv\n\
CrjFtWZloHw2dl9ASIk8GKZxsCff7JruZelrGDqKb6Ftwwp0+c/G/W0EgXa9\n\
ge4NC5Cx3B95JIiqijiK6pRw1OclYP+8+fj2VxOwb4ydDfaOnkJu3ztmCv0L\n\
vx8yHntenoDI4CAURP+IlopU1JO4qT10C/7l5EZ0f7QEhYt8kLSUxE1VVUOY\n\
bOLe5saBBCZKjMJARet4x9rQbul7PRX+KPlEZjvYoT03gc8lnzhAzBWqhKbW\n\
Sxhdn3iUzngYDhOrqOLA4JTOUEMmEMcoAJKi0H7HRTb6bJxJFg3PRPuEN8o0\n\
kjYhP6zgQV/JWZmfi77wr87/cnAS4nM1f3IbT43KkROP3vqHQENU27pTSMfw\n\
VIyBHeXGxbQ1UKfTrNi/PJ1G23Nzc62Y5rjRUI1upYyuah5g2Kz4voRnnTmo\n\
MW5TC8CZNYczWmcxPCnXm4Hn43M5uGWmYxq4/Jq5LG5mxfnQK7g3zNPO9GnQ\n\
NpfpE9ushDZ+yigeEQqpOYVVGWZllOP5SBHA+FTqaVpzJ6JX9RqiEZ8qKh69\n\
n0ZaDI1GSF9D0Zabg673gnBv43y0vxeAe3t/jeztK1F0+g9ojD2BlvQItBUn\n\
4oS3L84On4Koca5kk14a50Kg6OIoR0SPccS12Z7I2rweqX/+ggRCJ9FVmoTW\n\
onR0nNyMv5xdj57NC9C0aj4yAvxwbf27HIqUyg6yy3kMQiwC9zd4hCBd4l6q\n\
ypH++wCSpXSqz+CC0HgOKDTIKKoRCwfo33rWrMXMnjzgq7NkNp4agCxFpCGM\n\
aYJSn6MdY76eDXX4zuptXC14sWAhMZ0u1lenuUKMB9dPihILksmhv7kTRGJV\n\
ebCBZpdUf0DFVPrqKUCFtlnrMyAcUHQiohhBh4lmS7GZFX5YKkUfopB/L1TR\n\
OrHoL6rwuEAo3pAle/5QYmM0s4yoVf/xY6DRWPzkSCzqGMDEEfrpxNQrzZyJ\n\
mMGP5vqLGfQ+EWvIGBwzXmGLuvXoXrSv9kXLjkB0/Gk1sj97G6Vnif8VGYrm\n\
xHB03LiMsz5+SBlmj+tj3axobQQJf7JGueD6CCcUOs1A8TsrcPWrnciJPY2W\n\
0hR0FCag69YVtN9IRkfoZvzLwRV48vkS3N0ehHJ/L6R4+6D4SAhaa2sHM9Up\n\
0QvZrcrOHKhsdh7kiBta7Ro+b/jgy5sCFjUtWqM9A3wIEKky3aw2Tp8xMiqK\n\
lBGNtuszS88WywgHbHyzikcVKl32uSrCPMPPhjED+ziuFsZYsX40ank63gcZ\n\
BZc01hUnkfxW7jdKjYr8EPh6CiAaqtryYmRjCER9SUYZeMlC3Zgq8cQzPtyq\n\
Gg5H73s+iTZqs1j4Yxj9JCqVDPJZVx/yhyZybfqRrJWuXPSnzbnRTNRAtvDo\n\
mHQ8lpHqK2b1PdemVTNjkmzfoEsNg1wbJOzgFHktg4hWfO7F/cYiIxWCcRTs\n\
H4LZqJa2sNZeUINYc2IC2vznoGb1fFRuW4yMT1agKvJPaLkQivboc+jMjkeU\n\
jz+KBtujYqSbBcpGuupGomyEC8qGOaFmojtqly5G/u5PceXIAVw9eBANGXFo\n\
z72Ktsx4dBWk4s5NAgRfLcejLxbh3pdv4t47AehYMheFnp5I8piHlNW/Rmt1\n\
NTEPMuO8QIAbGgZbFqxOWQA7c6m753pGZHACwT0sk2dD4gm8MAbP2ij22Ajd\n\
uEBcdo52zFCaMdb9PxbSZFI+FhKfMFEKs4WzD0H/CkssflOx2RtWmGP9GU+J\n\
BmgPbcMmUKxC6GS+Eq8SJIJyYXgXKqgN2zIGI0r9BLDiXHGg4vMgnBspeKbg\n\
oOHC5N6NeTxTGwAWVJk8qeilwkB1kKF1Bm/NkycKPOjrpGyUWjueQ3o+9QwC\n\
pBnFTUpcQ2aZx2i9UGUoaXoka8Vk8iMMfUGAtaogwFwgJJzy8yIArhb+YZz1\n\
Fd7UJQ02WiUNFG+Uo1G9vVeWQy8c9A3p1CuO15vz/mJFBB9XSL6pxlXDnI0W\n\
zOklGqzylgwXCQdcHiO+QJl4gc6CCuzs0XI5Fk0rPVG5yhMFm32RuiUQdZf2\n\
ojv6DO4mR6HnRhLivQNQaWOP2hGuqHnZFdVDndEw0gVt831Q9tvfIPv8MRSn\n\
xqMmOR43joeiIS0W98vScDfvKu4XZZLvTFS/7YeGlTNQt3I+WhZ5oeNNb7R4\n\
eKB4+mykesxF0vIVKP7xRxLG1ej4cwXcgrA4hpsGC2Z6mOWQjQuDHXILn1zR\n\
nD3ncj6aKGPPHgnHUlJXfTW+SYy1UvKaUkk+5Vi2sFwYoRZEDPbkwEx4qMjw\n\
1F/PtrUqhmPPIxmHDBz+TEOijSGvai0PFgNoBTQ4P3zeBLjnIoooySnISTXG\n\
vh62emffLCyaKPKTH3hQDrI4uDFaJsNuoySjvF9F50AddatTCWpRrI0gV3Ys\n\
ZMGMSzYH6/OSQoKce1AC3krD89JPSpP2F2tZzOGmEAMyPn9lhJu9FafzYmbZ\n\
+aaR0SCVieKFztzCcaffgtlOjdr5fpTt97t4Xjwke7bieTmLyk9lSLtWFpM/\n\
nqZRM69kWHvDU6E6U1bwUKVUnn7EYQ2ryY0nZ4ARfhjXyltr1cqTa9S9GmpU\n\
FM+R1Qwvuv7B7HBN8cWFwnFQqLhX0aTqFas01XlRK8O8qCzaiyZF0/JFLGWs\n\
lWBWAlwBax3R+M0/onzpPFS8S3DzA29c+80SNMR8jzsx4XiQGIWH+amImR+A\n\
0kH20k6uGO6EhqlzUP3BWmQe3I3c6Ai0FVxHZ34GiSiv4lbkBVRFnceTkmQ8\n\
LLyCnysy0XOTYO3GBWhe4IzqWQ6oc3FG08xpqHacjlLHaSh3n458t5nImDUX\n\
6W+tRsmJUzR1qjz2qeXJ8+MhC8lRt1LZewVRrRRDxB404/aPI4SR2RVRl0K7\n\
/oG0FyVjRm+kRlCoy9A/YsuiLX2oY6083SQYYuMIQm+5K5UKAcM20Q2wFgcQ\n\
g1sOnDyGkcvkjENRlsYVFCIGmYxn3kt+gqpTiLKkB9vpfUNVQCIefVKxDHDN\n\
CGONRbdRTYwAJnqVCVzrQ2MKb+RO3swnSvUctrUWr4pHJdEltBqEZ9YEUpai\n\
ghSDYAL0hXJFISzVFEGveB5iUqYM8yG0TJEjjfCsturZbIMVbKXSpFBiaQ5l\n\
uVGikGMu4jH3aDRvlw05/XeA6kEm8b5E5RkgGwUJDR7VfrYntQcaOQm8toD2\n\
I2yZQ0LTw+oL56h5Zxxrng3KGh6kekCbgbDCFo/O+IuctunLMxToEJ9coxDC\n\
NSryyOGUY4Ech8rITftzOlzjZp/JHqBMFn9YnJOmsaoYt2uQ7x+IDlKBKAdo\n\
/nA2q3lR1b1yrgWSfHkb16MMNqpHMSGVqXQ1dQsYhkp5WXLtBSmFzqpSiJdc\n\
W4vS1xegxNMdBW/MRWawF5LWLkZT9PfoOn8G9+OjcD83BWfn+yFp0CQUOcxA\n\
2eplyNr9GdJOHEVJZAQqoy6iOj4GzZlJaM1ORvXlGNyODMf9nHg8zI7Fk6Jr\n\
6MlLR/1aX9xd4o46NxL7OtihzskeTePtUT7ODiXuU1HhOAOVDtNR5TgVJbM9\n\
kf/OWlSev4DmWyVKqbz+HSWKWnkbtRrccqgzfINV4ZvyegjhASUWahqdoLHx\n\
2MmUtSqByvBUJ8IMH1ux6DJU6GMYZXz5dRfiS0OoOaX3U1Q0aFNXeisp0uAN\n\
ir3l54TK48MGQjOYEV9hxIWWmLLRI4GgYDnSlMy6Os8qa156Gwi31fRFLTK3\n\
8uWhqmhMfM8IpU2FZAlRsU3Hs3Vm+FXA2NoMZPFXMfAKI+V9VWRMHgyboWEu\n\
ODUs7FW8EkJOxOneRBCqcQ2zBrILIyvZxNtQVJG6sixJH7OAaaWAlSqNqbb8\n\
g820iTZwdB/v1er3okbbWI221/plj9Vtr7A248pzffqSRsJaPMtnhcxM2qH+\n\
y89R5+CGvJlTkeLsjkvOzkgI9kOjZCZPo4OEEo2JcQj1mIeEOR7I+nwrUg5/\n\
j9KYC6i/Eo3bl86j+EwYbpwIRX7YKVTGRaIiJgK5J46jMfYc2uPP4f71K7iX\n\
fQ1ly3zRudQDNVNdUTRrFrL9/JH//ibkffQRamJiURsfb0H+iaNOZHws6i9F\n\
ojaazP+NXMM0i/LciGS+DF0zuk2GGBo8/RY3brMXO4tn53xkvjMUD9zAdx9s\n\
wJ+B86mm5mTqwgSNUbQSQCzhoymKUy87hOIqcyfN7RCxQvf/c4eIdJ/HDjF+\n\
QNBSfEDQ3A6RH7aYhPo/fYfbM6Yi3c4V0RMcETXBHuG2kxEd5IPqi9+h6eQx\n\
lIQeR8mpE7gYvBwpe75AyeVwdBVcwYP6bDxsyEJ3ebp0pFufFIWS8JPIPBKC\n\
tJBDyDh8EAXHjhBn4CTakmLQkXUNhYv8UeYzFzkLFqDoz/tRTRzyIXyFM6DR\n\
A6SV6rUY5G8l3NSXifS+GUQMtFf2lc7wYFKeAZEgc0kUBvu7AXo9oqT9R2ns\n\
AfYCEH14zqph+r0veB6NZ/z0kmqvWrGicdBT7gx9HYj6vZLD+9hPK6qR3+dn\n\
I/InfVgCb4IGq33dTCMNyJl6dYTWxmab6SW+mYpvoXrdeygZ74Bzo20ROcwW\n\
ia/Y4vxEWxweNxFh3h4oP78XuT/sR9GRwyg9fgTlESfRlJOAzltJ6KxIwR36\n\
KbmC9oJ4NKVEoTk9Gu0ZEaiNOoE8Wkfx3V6kkvsLTh0n6/c67lWUIdvXAzme\n\
c1BIWB/G2DQ29FaK12bGfRE2k3r1Kgc0MhKxJALB2E59jp3S5LNoVPamsZ8o\n\
8EjuFt/w5ta29MI9spNpPstk51GaIKP36PWOXy/UTD2CyZMVfCWJJn200K8v\n\
G8b4PWvqjTrcTD+exTa1YV5lbcLhqfLuU1O7hD+hofXUxihhA2q8h2yIBgts\n\
cwzl64S+dDolFTl79yGZ+GI59u64MtUT8YFLEee9EOmr1yJqSSCOuLjhwksT\n\
kfW7T9CQRFDmdhkeN9fiSUcjHne34PGDTvz8pAtPHnfh554WPOluxMO2Bjxs\n\
rcOjdvJpqsL9mgp03S5Hc0kp7rY047/+9jfcDjmMFBdnpPj4oPzCBRf9CjDO\n\
08nVhvrVzjX9uqllM1W+IG820Xd6rT8LzUlD8XwBiQttpkabt8a9nhr9VLMy\n\
AO1NTYjzDcDVpW+g6NtvUJuUhKaqSvrWZwYU41FfWor4hYG4NGwsDtjZIf7D\n\
91B/dD/qQ0PQEBGKtqvh6Ei7hLaUCLQlR0qv+G29ehotF46iIexHNJw6iMbQ\n\
A2g4fpj8fQRVIQdRSd8ZuOVDnJriiBhbO1z2mo/y8PO6v2mo5b9FlonVaG9H\n\
BdkmHa3NLHM2HhUZWcjc+z3OrliO3bbjcHLWFNQv9ETN2oVo37MGj/atxS8X\n\
tuGXuF34JXwLfk74EI/PvYuezfPQETwHLW+6o9nfCfUBM9Dw+kyUzHJHBgkW\n\
4ghrZ2wdcWYifQm3G4qPHlWxyA9PGItjpK+xiFy5AvvGj0W21zQ0es9D26bl\n\
ePzDJjz8YhUefrcWj/+wBr+ErMcvP63B4z3LcXd7ALoWuqJn/RzcCZqOan8P\n\
NM6bgTrvmbg1zR15Tm6IIx7a8VcdEDHWFmnr1stvnP5fme5opobmhkYc9fPD\n\
8ZFjUTfbEy1vBeLe1hV4uONtPPn9anRtCcL9XcF48H4AnvwuEA++XY7OnUFo\n\
WeiGpjn2aPckJtPfC5XuM1Dzug/KPGajxNkNRVOnIWmKM6JfmYz4xUul1SHR\n\
/x81/ZKEBJy2nYQcWyc0zvZDz+rluLdxKbrfDULrb5aiNsgPDSsC0BbkgQc7\n\
FuP+58vQvtIHrX4z0eDugCpHO5T7+qBkzx9RFRmJvM8+Q/rKVbhBdHjLzR3J\n\
4xwRMnwiru/eo0H/ZZRejETCFDtUzp+LzsWLcNfDF43By1C0cT1ufvWPuHX4\n\
ELI3bkCevw/qA+fj7up5uPOOH9rmTkfjdGeUObui8vQp/p781toalJ0+jVy6\n\
p6YTUzXGDmFz5tPXpcvk/1skPwCxa9YgnUxVl48velYEouWTnahLSpRety5v\n\
pkFoqajAtV+/g2wiUlOQF7qX+6F91nS0OjrixptLUZeVpRR40s1ZTFZY0jxf\n\
RE92Rta3v1fR5Ua5/kautIlrXOcQVS5FW1oqOniF0UCJZNq6dSiYMRNNszxI\n\
RDwVdS9NkiJTwhoPoKrJ1s/8YDNivbzJiHkSof8SCVkhe+enyJg+GxW+S9B4\n\
PYe/nLI2PV16PWPlnBmodnJF2RQXlJ04MYjdRcXI+ng7rn/5O2nz0ub/lAfm\n\
/8OA9JL5N99A3oJFqLlxYzBTQNHBQ8ghcXmTnROqgt+WikG5H1ZDsKSjtVX6\n\
JQ35H+KQlig5dgzpQYGou1XK7rEiE5eD5Pl+qLd1Ruk77+pfwc+sIg+sKFal\n\
rF2HyuRk5T3LtC3zo49RTHCrcMtWo3s53Y7mZsXIc1isupqE1Flz6fvDdUY3\n\
2rFOdJqSlr6JlDVrjDvZs04Zv9mMq8tX6qWW/pGnUKd74f8A8yVfcQ=="], "Graphics", 
      ImageSize -> {557, 41}, ImageMargins -> {{0, 0}, {0, 0}}, 
      ImageRegion -> {{0, 1}, {0, 1}}]], "DockedCell", Background -> 
    GrayLevel[0.866682], CellFrame -> {{0, 0}, {0, 4}}, CellFrameColor -> 
    RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> {{0, 0}, {-3, 0}}, 
    CellFrameMargins -> 0], 
   Cell[
    BoxData[
     GridBox[{{
        Cell[
         GraphicsData[
         "CompressedBitmap", 
          "eJzVV0tIVFEYvs4dx9FkFtZCAh+LyhLMDDNNXJio+UILKqOVqOHbUtEEH5BR\n\
ahmC2MuQHhNFJpJIUFRChK4qNwWuWrSsdfjI/s5/zn/unHvnTpoMRBfunfP4\n\
H9/3/+f850xJRVtNdWNFW21lRXx+S8XZmtrK1vi85hY2pIdomjbP3th4DdvA\n\
mvSZh56eHja5/k8W/9HB6/XC7Owsvto5/hVjbJZLbDWLo+hSezS+TBy/Yux/\n\
E9f5NxJWZmoAHxzHZ/l+AW+vvD5v7gs5B3ac2NLchg7OYXvt+2f4uTgl9bis\n\
FgGrC3f4lDSDbXzWvr71M625TBbx/fXjG6rIaRWwAkAnVoq24CjAhv+RIP1q\n\
DlKTiFHTwb9ibKk3Bo0LN+y7fCsT6CG5UAOfZIjyWzaTG5d/bibKEYLw5BRd\n\
a/wiueTq3CAHh68pS/07DdKYKUbKgYMsSxhmjIl0im1uws6L05QlnmuBCR34\n\
SZuzYjcmGLsDYjcx13mX4GsCf7iBX8UuVQkNk2Wj6IzlkVzRmBJsxsCIwUxN\n\
RJC2FaHAFWEQ2kicXAYhjAs3ycAzdaeMxXAyX6vMMsafqXgC7RHeRjMoz+NF\n\
Y5vKlp1cqB1ZDLHE6+Z4/ZajL0e6ylqpAhaImH2qKWJvBydFGBSjINikSG58\n\
dE96tPEjjDG5uHABYt5k6aMFt5EcybXM65BdlQzzi49EzbyJZSCgelSo9hTt\n\
4Qp1p9W9bo2Cb2tR6ZSrNHiJQQhqEG33TpSMr6gdbJHZ1j1S5cUDNwIWaEZa\n\
nl6sv15+jLpCtZHL+GqGQ6lkan4kCUIhuEYHBB2Isx1w7kqteCy7NrtJdRPs\n\
3aSr4aIdkWCAlgTQu1wfvLpTVmyzphBSzhm+fLk+ydodV4H8oCwdEbhee2NY\n\
miU2tfxLvwYuSjO2KVS6Uu4s8Im+x49+IAoWug5+ZfCYFp9SP6w5DMqBFeq/\n\
6VgdUWs/lQy6+viOS/mYyoZLVB1WWWRBpEucTrcHyzVQnA2hKg15mTQOFlzx\n\
SsHhQXKSN3nx5BH27QKlZDtNu0m5TkpuFqAmVUnGvwYK16Yrn+j/5Y3vn/01\n\
iCfx8YIi6G9q4r3tmzNxLy8fBmtrTSY2+OcqjsQvtrfDo+wcGCsp1R6qU064\n\
0tAAk4eywJuTC30dHV7z7EBjIzxOTYfpjCwYqK/3kL2e7m7D1YjQiOE/Lj41\n\
erIchhjiuwl74d3+DBg/eiySNK8yg7dPnYberi5tVGjGkuaD3HzwVp+BqT1J\n\
8CElDV4UF8JwVWUEaV5jmpOHc2Gkqkq7rmqGwQSj9jEtHV4lJ8JcUip8Kj0C\n\
02VlcKGzk50YgslQfT08O5AJT7Ky0TlZ2EbGL7e2wmBTs+TAvm641NcHLwtL\n\
YDFqBzzdvQvepxyEL8VFsFBUDDfr6sIUw2/2ZcDzuEQYO37ihjCshfwGPGMf\nPw=="], 
         "Graphics", Evaluatable -> False, ImageSize -> {199, 30}, 
         ImageMargins -> {{0, 0}, {0, 0}}, ImageRegion -> {{0, 1}, {0, 1}}], 
        ButtonBox[
         Cell[
          GraphicsData[
          "CompressedBitmap", 
           "eJylVb1uAjEMDuSAUqTr1J234A3aqQ9xQpVgqFpRZkZWNkZWRkZmRkZmVkZ2\n\
xtSfY0e+9MrSSLkY27E//4W3aj55/6jm03E1fJ1VX5Pp+Hv48jkjlm8550a0\n\
y6EDHYiUzygsFgsS1o42Hw9hs9mE6/UasHCu12tI+KTVYbUy7Ha7pIZ1uVys\n\
GtPL5ZJpmLzdbrgTvXgrol+0XBHO5zOr4irtyO7zTWHx3u/3CRTo1Wol4FMM\n\
WBBB5Xg8MlDQsE6rYLUnjkFVIdputwm7qCYvigLmCCi5AvSSZapnbUFPY89l\n\
hN4zhE44HA4J3el0EtMcjHusAUHG8gTX4ikZIwxqpmwM1gwcqh7xC8k//CtU\n\
YrcFIthaXS1Z7IJuKiMyqcBI3pIIvHUtcRU5rDYLe4zKZgvVkLS4qJObw3eA\n\
+qeIkQG9Z20obm0/U2lpP5/CB09jRxW18mhPyoO7F9xzY87zNrTIgF56ovEO\n\
PGri8BsoRSeyB7U2w7ZtbNsOg1JIYCioBixtczewwZ+BWW9IEcrVES8NerUu\n\
gGcZqMju/womz5vtPnWNHOqMUkf+v0AohmIDDT19T/I7pBc90Rd3ZBycrY5W\n\
AEOn49JUHW+qowMKm6STXgVvX4GUTfsqEB1no8uXbTZBk3EdJ9RLbsgY9FJj\n\
6kaXyMMRvelzjWRpIInt01MRX+KGPxo5XOsHSMiAwg=="], "Graphics", Evaluatable -> 
          False, ImageSize -> {55, 14}, ImageMargins -> {{0, 0}, {0, 0}}, 
          ImageRegion -> {{0, 1}, {0, 1}}], BaseStyle -> "Hyperlink", 
         ButtonData -> {
           URL["http://www.wolfram.com/upgrade"], None}, ButtonNote -> 
         "http://www.wolfram.com/upgrade"], 
        Cell[
         GraphicsData[
         "CompressedBitmap", 
          "eJzzTSzJSM1NLMlMTlRwL0osyMhMLlZwyy8CCjEzMjAwMAExnwIDiP0fyIQS\n\
jP9bWloY/8+ZPZuBgfF/V2cn4//VK1cOFnZ7ezvj/+XLlgFdyggAJaVbgQ==\n"], "Graphics", 
         Evaluatable -> False, ImageSize -> {2, 14}, 
         ImageMargins -> {{0, 0}, {0, 0}}, ImageRegion -> {{0, 1}, {0, 1}}], 
        ButtonBox[
         Cell[
          GraphicsData[
          "CompressedBitmap", 
           "eJyVVj1vIjEQ9bIBRKKjyClFOn5NUvEjUBQpKU6JctSUtHSUtJSU1JSU1LSU\n\
9JTOPHued0x2SWJpWXvGOx/Pb8YMR+OX53+j8evTaPD4MXp/eX36P3h4+xBR\n\
WTjnhvL0Bw5zL1P9GfrJZCLK7NUKr9LP53OPgVWQlVi5O386nbC0G/x0Og3z\n\
xWKRybHGgN7KMYcdjPV67TrBzZXfbreeQ+aMBQOfYMWty+UybZV5S5XH4zGJ\n\
xTK9xeB7/nA4BBEfbFHLYT6bzVyRA8EcEhDuPllnvjZXmiJOVs78VqtVJocN\n\
yJgUwrgKvnrBFrISWXhgd7PZhO8Uc9dVUBQM2onhdlOocKHm6V5SgoFekFlk\n\
4AJuMd/tdn6/33+PTJlYUMn6GQtgktFbBJAVdOKG8lJNGnIlULCVx3seLfd2\n\
lBLWjdFH8+2MuwSlc6YDcMpfAQHGm0GIVCsDaJplxMVdJ5D5EWuCbz03Zg4T\n\
yErC0My7aRuzIWUS/PJLgKtDaEShpZlCDVcEsYq6zlysVDJczqxAZV1ixt+s\n\
Zs5xYG2wPCmHZzACMuiwjqSNfqDT2pAcILu5BFAWQwVqvwmcVMsYOAzwwcTX\n\
UpgotgAhXFJAgCoQ+29L5zYLzCZCOZIHORko25/dI+B0GsqGn3wtm95FTBRH\n\
V9ak09Zf08vYD6V2gLoTNrDrEV3Lip8wxXRXASvylMcANlBmbqrY6kgTUAlG\n\
2FYtNGcBpK7zHSQSmCMnTNCNPZaUZgMEpNpj1YJekikdFkidTNLUkm2nAmBj\n\
QfcutYNgv82ClxIquO4ilghrG1vF0z/Z5U40eDEiFl72X2PN7cWLzNX+M3HF\nJ/Rd8Mk="], 
          "Graphics", Evaluatable -> False, ImageSize -> {77, 14}, 
          ImageMargins -> {{0, 0}, {0, 0}}, ImageRegion -> {{0, 1}, {0, 1}}], 
         BaseStyle -> "Hyperlink", ButtonData -> {
           URL["http://www.wolfram.com/company/terms.html"], None}, 
         ButtonNote -> "http://www.wolfram.com/company/terms.html"]}}, 
      ColumnsEqual -> False, 
      GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}]], 
    "DockedCell", Background -> GrayLevel[0.494118], 
    CellFrame -> {{0, 0}, {4, 0}}, CellFrameColor -> 
    RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> 0, 
    CellFrameMargins -> {{0, 0}, {0, -1}}]}, {}],
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 15454, 311, 639, "Input"],
Cell[16047, 336, 18963, 323, 807, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature nxTQk@ecmNJiwBKqU1lDQl9x *)
